PIRL.TreeTable

## Class AbstractCellEditor

- java.lang.Object
- - PIRL.TreeTable.AbstractCellEditor

All Implemented Interfaces:
  CellEditor

    public class AbstractCellEditor
    extends Object
    implements CellEditor

### Field Summary

Fields
`protected EventListenerList` `listenerList`

### Constructor Summary

Constructors
Constructor and Description
`AbstractCellEditor()`

### Method Summary

Methods
`void` `addCellEditorListener(CellEditorListener listener)`
`void` `cancelCellEditing()`
`protected void` `fireEditingCanceled()`
`protected void` `fireEditingStopped()`
`Object` `getCellEditorValue()`
`boolean` `isCellEditable(EventObject event)`
`void` `removeCellEditorListener(CellEditorListener listener)`
`boolean` `shouldSelectCell(EventObject event)`
`boolean` `stopCellEditing()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### listenerList

    protected EventListenerList listenerList

### Constructor Detail

#### AbstractCellEditor

    public AbstractCellEditor()

### Method Detail

#### getCellEditorValue

    public Object getCellEditorValue()

Specified by:
  `getCellEditorValue` in interface `CellEditor`

#### isCellEditable

    public boolean isCellEditable(EventObject event)

Specified by:
  `isCellEditable` in interface `CellEditor`

#### shouldSelectCell

    public boolean shouldSelectCell(EventObject event)

Specified by:
  `shouldSelectCell` in interface `CellEditor`

#### stopCellEditing

    public boolean stopCellEditing()

Specified by:
  `stopCellEditing` in interface `CellEditor`

#### cancelCellEditing

    public void cancelCellEditing()

Specified by:
  `cancelCellEditing` in interface `CellEditor`

#### addCellEditorListener

    public void addCellEditorListener(CellEditorListener listener)

Specified by:
  `addCellEditorListener` in interface `CellEditor`

#### removeCellEditorListener

    public void removeCellEditorListener(CellEditorListener listener)

Specified by:
  `removeCellEditorListener` in interface `CellEditor`

#### fireEditingStopped

    protected void fireEditingStopped()

#### fireEditingCanceled

    protected void fireEditingCanceled()